//相关性图表模块
import { get,post } from "./index";

// /**
//  * 相关性图表列表
//  * @param PageSize
//  * @param CurrentIndex
//  * @param KeyWord
//  * @param IsShowMe
//  */
// export function apiCorrelationChartList(params){
//     return get('/correlation/chart_info/list',params)
// }

// /**
//  * 获取相关性图表分类数据
//  * @param IsShowMe
//  * @param Source
//  */
// export function apiCorrelationChartClassifyList(params){
//     return get('/correlation/chart_classify/list',params)
// }

// /**
//  * 相关性图表另存为
//  * @param ChartInfoId
//  * @param ChartClassifyId
//  * @param ChartName
//  */
// export function apiCorrelationChartSaveOther(params){
//     return post('/correlation/chart_info/copy',params)
// }

export default {
    /**
     * 相关性图表列表
     * @param PageSize
     * @param CurrentIndex
     * @param KeyWord
     * @param IsShowMe
     */
    chartList(params){
        return get('/correlation/chart_info/list',params)
    },
    /**
     * 获取相关性图表分类数据
     * @param IsShowMe
     * @param Source
     */
    chartClassifyList(params){
        return get('/correlation/chart_classify/list',params)
    },
    /**
     * 相关性图表另存为
     * @param ChartInfoId
     * @param ChartClassifyId
     * @param ChartName
     */
    chartSaveOther(params){
        return post('/correlation/chart_info/copy',params)
    },
    /**
     * 搜索相关性图表
     * @param PageSize
     * @param CurrentIndex
     * @param KeyWord
     * @param IsShowMe
     */
    searchChartList(params){
        return get('/correlation/chart_info/search_by_es',params)
    },
    /**
     * 刷新图表
     * @param ChartInfoId
     */
    refreshChart(params){
        return get('/correlation/chart_info/refresh',params)
    },
    /**
     * 编辑英文信息
     * @param ChartInfoId
     * @param ChartNameEn
     */
    chartInfoEditEn(params){
        return post('/correlation/chart_info/en/edit',params)
    }
}